View Issue Details

IDProjectCategoryView StatusLast Update
0000475contextfeature requestpublic2012-12-10 12:13
ReporterPeterAssigned Toadityam 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000475: \typefile without the last n lines
DescriptionHello,

Here a little feature request:

\starttext
\typefile[startline=1, stopline=-3]{test.tex} % printing this file without
                                              % the last 3 lines
% line to print
\stoptext % don't print this line
% don't print this line
% don't print this line

TIA for any help!
Peter
TagsNo tags attached.

Activities

adityam

2010-10-03 07:51

developer   ~0000640

The range option in \starttyping and \typefile can have negative values to indicate lines from the end.

\starttyping[range={2,-3}]
line 1
line 2 !
line 3 !
line 4
line 5
line 6
\stoptyping

Issue History

Date Modified Username Field Change
2010-09-06 17:05 Peter New Issue
2010-10-03 07:51 adityam Note Added: 0000640
2010-10-03 07:51 adityam Status new => resolved
2010-10-03 07:51 adityam Resolution open => fixed
2010-10-03 07:51 adityam Assigned To => adityam
2012-12-10 12:13 Taco Status resolved => closed